package cz.muni.fi.pb162.test3;

/**
 * Tato trida reprezentuje kus pradla, ktery je vybaven RFID cipem. Moderni
 * pracka je schopna s vyuzitim tohoto cipu zjistit barvu pradla a maximalni
 * teplotu, pri niz se pradlo smi prat.
 *
 * @author Petr Adamek
 */
public class LaundryWithRFID extends Laundry {
    
    public static enum Color  { WHITE, COLORED };
    
    private Color color;
    private double maxTemperature;
    
    /**
     * Vytvori novou instanci reprezentujici kus pradla s danym popisem a
     * danou hmotnosti.
     *
     * @param weight hmotnost pradla
     * @param description popis pradla
     * @param color barva pradla
     * @param maxTemperature maximalni teplota, pri ktere se pradlo smi prat
     */
    public LaundryWithRFID(double weight, String description, Color color, double maxTemperature) {
        super(weight, description);
        this.color = color;
        this.maxTemperature = maxTemperature;
    }

    public Color getColor() {
        return color;
    }

    public double getMaxTemperature() {
        return maxTemperature;
    }

    public String toString() {
        return getDescription() + " (" + getWeight() + 
                " kg, " + color + ", " + maxTemperature + " \u00B0C)";
    }
    
}
