package cz.muni.fi.pb162.test3;

/**
 * Tato trida reprezentuje praci program.
 *
 * @author Petr Adamek
 */
public class WashingProgram {
    
    private double maxWeight;
    private double temperature;
    private double washingPowderAmount;
    private double efficiency;
    
    /**
     * Vytvori novou instanci reprezentujici nejaky praci program.
     *
     * @param maxWeight maximalni hmotnost pradla v kg, kterou je mozne s timto
     * programem naraz vyprat
     * @param temperature teplota (ve stupnich Celsia), pri niz se pere
     * @param washingPowderAmount mnozstvi prasku v kg na jeden kg pradla, ktere
     * se spotrebuje pranim dle tohoto programu
     * @param efficiency ucinnost prani
     */
    public WashingProgram(double maxWeight, double temperature, 
            double washingPowderAmount, double efficiency) {
        this.maxWeight = maxWeight;
        this.temperature = temperature;
        this.washingPowderAmount = washingPowderAmount;
        this.efficiency = efficiency;
    }

    /**
     * Vrati maximalni hmotnost pradla v kg, kterou je mozne s timto programem 
     * naraz vyprat.
     *
     * @return maximalni hmotnost pradla v kg, kterou je mozne s timto programem
     * naraz vyprat
     */
    public double getMaxWeight() {
        return maxWeight;
    }

    /**
     * Vraci teplotu, pri niz se pere.
     *
     * @return teplotu, pri niz se pere
     */
    public double getTemperature() {
        return temperature;
    }

    /**
     * Vraci mnozstvi prasku v kg na jeden kg pradla, ktere se spotrebuje 
     * pranim dle tohoto programu
     *
     * @return mnozstvi prasku v kg na jeden kg pradla
     */
    public double getWashingPowderAmount() {
        return washingPowderAmount;
    }

    /**
     * Vraci ucinnost prani. 
     *
     * @return ucinnost prani
     */
    public double getEfficiency() {
        return efficiency;
    }
    
}
